## By Index
```javascript
const fruit = ['apple', 'banana', 'orange', 'pear'];

fruit.splice(0, 1); // This tells it to start are index 0, and remove 1 item.

console.log(fruit);
// Expected output: ['banana', 'orange', 'pear']
```

## By Value
```javascript
const fruits = ['apple', 'banana', 'orange', 'pear'];
const stringToRemove = 'orange';

const filteredFruit = fruits.filter(fruit => fruit !== stringToRemove);

console.log(filteredFruit);
// Expected output: ['apple', 'banana', 'pear']
```

export const section = 'Vanilla JavaScript';
export const name = 'Remove a value from an array';
export const slug = 'remove-a-value-from-an-array';
export const tags = ['Array', 'Object'];
export const keywords = ['filter', 'splice'];
export const related = [{
  slug: 'remove-an-object-from-an-array',
  section: 'Vanilla JavaScript'
}];
